--- old/usr/src/tools/smatch/src/check_check_deref.c	Sat Nov 16 11:16:02 2019
+++ new/usr/src/tools/smatch/src/check_check_deref.c	Sat Nov 16 11:16:02 2019
@@ -135,8 +135,11 @@
 static void match_condition(struct expression *expr)
 {
 	struct smatch_state *true_state = NULL;
+	char *name;
 
-	if (get_macro_name(expr->pos))
+	name = get_macro_name(expr->pos);
+	if (name &&
+	    (strcmp(name, "likely") != 0 && strcmp(name, "unlikely") != 0))
 		return;
 
 	if (!is_pointer(expr))
